%global PKG_NAME glob2

%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:			python-%{PKG_NAME}
Version:	0.4.1
Release:	1%{?dist}
Summary:	Python daemon that munches on logs and sends their contents to logstash.

Group:		Applications/System
License:	MIT
URL:			https://code.google.com/p/argparse/
Source0:	https://github.com/miracle2k/%{name}/archive/v%{version}.tar.gz

BuildArch:			noarch
BuildRequires:	python-devel
BuildRequires:	python-setuptools

%description
Beaver provides an lightweight method for shipping local log files to Logstash.
It does this using redis, zeromq, tcp, udp, rabbit or stdout as the transport.
This means you’ll need a redis, zeromq, tcp, udp, amqp or stdin input somewhere
down the road to get the events.

%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python2} setup.py build


%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%files
%doc TODO README.rst CHANGES
%{python2_sitelib}/%{PKG_NAME}-%{version}-py2.6.egg-info
%{python2_sitelib}/%{PKG_NAME}

%changelog
* Mon Oct 27 2014 Wesley Hearn <whearn@redhat.com> - 1.2.1-1
- Initial package 
